---
title: Metrics at the Common REST Monitoring Endpoint (deprecated)
description: The Common REST Monitoring Endpoint exposes metrics as a JSON format monitoring resource.
component: pinggateway
version: 2026
page_id: pinggateway:reference:MonitoringMetricsCrest
canonical_url: https://docs.pingidentity.com/pinggateway/2026/reference/MonitoringMetricsCrest.html
revdate: 2025-05-21T11:17:42Z
section_ids:
  prom-route-metrics-crest: Route metrics at the Common REST Monitoring Endpoint (deprecated)
  router-metrics-crest: Router metrics at the Common REST Monitoring Endpoint (deprecated)
  timer-metrics-api: Timer metrics at the Common REST Monitoring Endpoint (deprecated)
---

# Metrics at the Common REST Monitoring Endpoint (deprecated)

The Common REST Monitoring Endpoint exposes metrics as a JSON format monitoring resource.

When PingGateway is set up as described in the documentation, the endpoint is `http://ig.example.com:8085/metrics/api?_queryFilter=true`.

For an example that queries the Common REST Monitoring Endpoint, refer to [Monitor the Common REST Monitoring Endpoint](../maintenance-guide/monitoring.html#proc-monitor-plat).

## Route metrics at the Common REST Monitoring Endpoint (deprecated)

Route metrics at the Common REST Monitoring Endpoint are published with an `_id` in the following pattern:

* `heap.router-name.route.route-name.metric`

The following table summarizes the recorded metrics:

| Name                            | [Monitoring type](MonitoringTypes.html) | Description                                                                                                      |
| ------------------------------- | --------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| `request`                       | Counter                                 | Number of requests processed by the router or route since it was deployed.                                       |
| `request.active`                | Gauge                                   | Number of requests being processed by the router or route at this moment.                                        |
| `response.error`                | Counter                                 | Number of responses that threw an exception.                                                                     |
| `response.null`                 | Counter                                 | Number of responses that were not handled by PingGateway.                                                        |
| `response.status.client_error`  | Counter                                 | Number of responses with an HTTP status code `400`-`499`, indicating client error.                               |
| `response.status.informational` | Counter                                 | Number of responses with an HTTP status code `100`-`199`, indicating that they are provisional responses.        |
| `response.status.redirection`   | Counter                                 | Number of responses with an HTTP status code `300`-`399`, indicating a redirect.                                 |
| `response.status.server_error`  | Counter                                 | Number of responses with an HTTP status code `500`-`599`, indicating server error.                               |
| `response.status.successful`    | Counter                                 | Number of responses with an HTTP status code `200`-`299`, indicating success.                                    |
| `response.status.unknown`       | Counter                                 | Number of responses with an HTTP status code `600`-`699`, indicating that a request failed and was not executed. |
| `response.time`                 | Timer                                   | Time-series summary statistics.                                                                                  |

## Router metrics at the Common REST Monitoring Endpoint (deprecated)

Router metrics at the Common REST Monitoring Endpoint are JSON objects, with the following form:

* `[heap name].[router name].deployed-routes`

The following table summarizes the recorded metrics:

| Name              | [Monitoring type](MonitoringTypes.html) | Description                                     |
| ----------------- | --------------------------------------- | ----------------------------------------------- |
| `deployed-routes` | `Gauge`                                 | Number of routes deployed in the configuration. |

## Timer metrics at the Common REST Monitoring Endpoint (deprecated)

This section describes the metrics recorded at the Common REST Monitoring Endpoint.

When PingGateway is set up as described in the documentation, the endpoint is http\://ig.example.com:8085/metrics/api?\_queryFilter=true.

Metrics are published with an `_id` in the following pattern:

`heap.router-name.route-name.decorator-name.object`

**Timer metrics at the Common REST Monitoring Endpoint**

| Name         | [Monitoring type](MonitoringTypes.html) | Description                                                                                                                               |
| ------------ | --------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| `elapsed`    | `Timer`                                 | Time to process the request and response in the decorated handler, or in the decorated filter **and** its downstream filters and handler. |
| `internal`   | `Timer`                                 | Time to process the request and response in the decorated filter.                                                                         |
| `downstream` | `Timer`                                 | Time to process the request and response in filters and handlers that are downstream of the decorated filter.                             |
